Last Comment Bug 446139 - Should be able to uninstall all add-ons, including extensions in the application directory.
: Should be able to uninstall all add-ons, including extensions in the applicat...
Status: RESOLVED WONTFIX
:
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: Trunk
: All All
: -- major with 6 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 475938 482619 483060 497790 498667 750727 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-18 19:18 PDT by myles7897
Modified: 2012-09-29 11:50 PDT (History)
18 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description myles7897 2008-07-18 19:18:12 PDT
All add-ons should be able to be uninstalled, no greying out the uninstall button.

I know AVG does this and I think Windows Genuine Advantage does it.
Comment 1 Jesse Ruderman 2008-07-18 23:00:37 PDT
I'm guessing you can't uninstall them using the Firefox UI because they're installed in the Firefox application directory instead of your profile.  You should be able to uninstall them using their own UI.
Comment 2 myles7897 2008-07-18 23:01:54 PDT
Well I am not having problems with it. I just think it should always be an option.
Comment 3 Dave Townsend [:mossop] 2008-07-19 02:39:42 PDT
We often cannot (due to file permissions) and more importantly should not uninstall things that are part of third party applications.
Comment 4 Matthias Versen [:Matti] 2009-01-29 13:56:05 PST
*** Bug 475938 has been marked as a duplicate of this bug. ***
Comment 5 u49640 2009-02-09 08:23:41 PST
(In reply to comment #3)
> We often cannot (due to file permissions)

That should be solveable with a dialog that asks for a root-Password

>  and more importantly should not
> uninstall things that are part of third party applications.

But how can i remove this addon and keep the app.

I just dont want the addon installed.


IMO: Firefox must have a feature to remove this stuff.

 (In reply to comment #1)
> I'm guessing you can't uninstall them using the Firefox UI because they're
> installed in the Firefox application directory instead of your profile.  You
> should be able to uninstall them using their own UI.

But that also removes the whole app. i just dont want their plugin installed, and keep the rest.
Comment 6 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2009-02-09 09:17:32 PST
There are two questions here:

* is Firefox using the plugin
* are the files on your filesystem

We have already solved the first problem by allowing you to disable the extension/plugin.

The question of whether the files are present is managed by the various installer applications, not by the Firefox UI. That's why this bug is WONTFIX. You should file a bug on the installer application which put in the files, if you want those files to be optional components.
Comment 7 u49640 2009-02-09 09:26:25 PST
(In reply to comment #6)
> There are two questions here:
> 
> * is Firefox using the plugin
> 
> We have already solved the first problem by allowing you to disable the
> extension/plugin.


Can we be absolutely sure that a disabled addon doesnt do *anything* at all?

Like loaoding the image for the addon from a foreign site that could use cookies to track stuff?
Comment 8 Dave Townsend [:mossop] 2009-02-12 06:59:54 PST
(In reply to comment #7)
> (In reply to comment #6)
> > There are two questions here:
> > 
> > * is Firefox using the plugin
> > 
> > We have already solved the first problem by allowing you to disable the
> > extension/plugin.
> 
> 
> Can we be absolutely sure that a disabled addon doesnt do *anything* at all?
> 
> Like loaoding the image for the addon from a foreign site that could use
> cookies to track stuff?

A disabled add-on should not be able to do anything while it is disabled. To the best of my knowledge no-one has ever found otherwise.

While the add-on is enabled though it is able to make changes that can still be in effect after the add-on is disabled. It could set cookies for example that continue to be sent, it could also change core preferences that affect how Firefox operates. This however is no different to what would happen if the add-on were uninstalled, those cookies/prefs would still be there so I don't think it really has much bearing on this bug.
Comment 9 Matthias Versen [:Matti] 2009-03-10 18:08:33 PDT
*** Bug 482619 has been marked as a duplicate of this bug. ***
Comment 10 colin 2009-03-11 05:53:37 PDT
This is kin to a "drive by (web) install", only instead of it happening via a website, it's happening right on your local machine. One should not have to take elaborate steps to remove any add on which was installed into firefox that the user believes is causing a performance issue or is a security problem.
Comment 11 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2009-03-11 05:57:05 PDT
You *should* be able to use Add/Remove programs to remove them. If you can't, that's a bug in whatever program installed them, not a bug in Firefox.
Comment 12 colin 2009-03-11 12:31:55 PDT
How is this different than an unwanted BHO attached to IE?

If you remove the "application" which installed it, how are you certain that the application removed the undesired object from firefox cleanly?
Comment 13 Robert Strong [:rstrong] (use needinfo to contact me) 2009-03-11 12:34:36 PDT
The same way you are certain that it removed itself cleanly... no doubt some app's have sucky installers and uninstallers but we shouldn't support uninstalling what other apps install though we can and do support disabling their integration with Firefox, etc.
Comment 14 Robert Longson 2009-03-12 15:37:25 PDT
*** Bug 483060 has been marked as a duplicate of this bug. ***
Comment 15 Daniel Kabs, reporting bugs since 2002 2009-04-01 12:14:44 PDT
It's bad that e.g. Microsoft installs its "Microsoft .NET Framework Assistant" add-on without asking the user. Nevertheless I think it's even worse that Firefox developers won't do anything to let the user undo this.

I don't understand why Firefox developers think that it is ok that we - the Firefox users - must not remove stuff from the "Firefox application directory" that has been installed through third party applications using Firefox UI?

If something has been installed in Firefox at least the Administrator should be able to remove this stuff - even from  "Firefox application directory" - using Firefox UI Button "Uninstall" in Add-Ons window.

Please, where in the "Firefox application directory" does "Microsoft .NET Framework Assistant" add-on live and how can I get rid of it manually? Thanks a lot.
Comment 16 Robert Strong [:rstrong] (use needinfo to contact me) 2009-04-01 12:19:11 PDT
(In reply to comment #15)
>...
> I don't understand why Firefox developers think that it is ok that we - the
> Firefox users - must not remove stuff from the "Firefox application directory"
> that has been installed through third party applications using Firefox UI?
If an add-on is installed in the application directory a user that has write access to the application directory can uninstall it.

>...
> Please, where in the "Firefox application directory" does "Microsoft .NET
> Framework Assistant" add-on live and how can I get rid of it manually? Thanks a
> lot.
It isn't in the Firefox application directory. Instructions on how to remove it are available here
http://support.microsoft.com/kb/963707
Comment 17 Daniel Kabs, reporting bugs since 2002 2009-04-01 13:03:53 PDT
Robert,
thank you very much for pointing to official instructions of how to remove the ".NET Framework Assistant for Firefox".

By the way, have you read the instructions? It involves changing registry keys! In my opinion Firefox users should not have to edit registry keys in order to remove an add-on from Firefox. Especially an add-on that is forced enabled for ALL user accounts on a machine running Firefox.

I think a lot of users run Firefox because they exercise their freedom to choose. Those "forced" add-ons obviously curb this freedom and consequently Firefox users are somehow unsettled as you can tell searching for 
  Microsoft .NET Framework Assistant Firefox
using e.g. Google. (about 84.000 hits).

Thusly I vote for enabling the "Uninstall" button in Firefox UI for those "forced" add-ons.
Comment 18 Robert Strong [:rstrong] (use needinfo to contact me) 2009-04-01 13:09:38 PDT
(In reply to comment #17)
>...
> By the way, have you read the instructions? It involves changing registry keys!
> In my opinion Firefox users should not have to edit registry keys in order to
> remove an add-on from Firefox. Especially an add-on that is forced enabled for
> ALL user accounts on a machine running Firefox.
Yes I have read them and I agree but I would change it to be that Microsoft .Net Framework users should not have to edit registry keys in order to remove an add-on that Microsoft .Net Framework added to Firefox.

>...
> Thusly I vote for enabling the "Uninstall" button in Firefox UI for those
> "forced" add-ons.
It is something we have considered previously and will likely continue to consider. The difficulty here is that it is considered "bad behavior" for an application to remove things another application has installed just as it is considered "bad behavior" for Microsoft .Net Framework to install this add-on without user consent. As it stands now we aren't the ones performing the "bad behavior".
Comment 19 colin 2009-04-06 12:10:58 PDT
Quote Microsoft on the Fix Page:
In Windows 7 and in a forthcoming update for the .NET Framework 3.5 SP1, the .NET Framework Assistant will be installed on a per-user basis. As a result, the Uninstall button will be functional in the Firefox Add-ons menu.

They heard the outcry apparently.
Comment 20 branflake2267@gmail.com 2009-06-04 13:20:24 PDT
I suggest Firefox Notifiy's user of change upon an auto installation of a 3rd party component which a user may have agreed to. Then Give the option to disable it. Either way, I think the user should be notified, disclosing the event, keeping the freedom of choice.
Comment 21 Dave Townsend [:mossop] 2009-06-04 14:02:04 PDT
(In reply to comment #20)
> I suggest Firefox Notifiy's user of change upon an auto installation of a 3rd
> party component which a user may have agreed to. Then Give the option to
> disable it. Either way, I think the user should be notified, disclosing the
> event, keeping the freedom of choice.

That is bug 476430
Comment 22 Ria Klaassen (not reading all bugmail) 2009-06-12 01:30:22 PDT
*** Bug 497790 has been marked as a duplicate of this bug. ***
Comment 23 Kevin Brosnan 2009-06-16 10:12:53 PDT
*** Bug 498667 has been marked as a duplicate of this bug. ***
Comment 24 Frank Wein [:mcsmurf] 2012-09-29 11:50:16 PDT
*** Bug 750727 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.